/*
    THIS FILE IS FOR USE WITH THE TUTORIAL IN "GETTING STARTED",
    IT IS NOT MEANT TO BE USED WITHOUT REFERRING TO THE MANUAL.

*   You must change the parameters below to match your
*   server name, database name , username, and password.
*   This files defines domains for the EMPLOYEE database.
*  
*   IMPORTANT: YOU MUST COPY SALES.DAT TO THE SERVER FOR THIS
*              EXTERNAL TABLE DEFINITION TO WORK PROPERLY.
*
*   Also, be sure to change the path of the data file on 
*  the server in the CREATE TABLE statement below.
*/

CONNECT "server:\dir\mydb.gdb"
USER "USERNAME" PASSWORD "password";

CREATE TABLE sales_ext external "/path_on_server/sales.dat"
(
	po_number       CHAR(10),
	cust_no         CHAR(12),
	sales_rep       CHAR(10),
	order_status    CHAR(13),
	order_date      CHAR(12),
	ship_date       CHAR(12),
	date_needed     CHAR(12),
	paid            CHAR(7),
	qty_ordered     CHAR(12),
	total_value     CHAR(12),
	discount        CHAR(16),
	item_type       CHAR(8),
        eol             CHAR(1)
);

commit;
exit;
